CLFS Book Conversion Tools Installation Instructions
====================================================

After downloading the SVN source, there are some things that need to be set up 
on your computer if you want to convert the XML source into something easier to 
read (e.g. HTML, TXT, or PDF). If you are interested in this, then keep 
reading. If you are only interested in editing the XML source for re- 
submission to the `clfs-commits` or `clfs-dev` mailing lists, then you do not need this
document.

-------------------------------------------------------------------------------

If you want to convert the XML to HTML, install the following:

* libxml2
  - http://cblfs.clfs.org/index.php/LibXML2

* libxslt
  - http://cblfs.clfs.org/index.php/LibXSLT

* DocBook DTD 
  - http://cblfs.clfs.org/index.php/DocBook_XML_DTD-4.x

* DocBook XSL Stylesheets 
  - http://cblfs.clfs.org/index.php/DocBook_XSL_Stylesheets

* HTMLTidy
  - http://cblfs.clfs.org/index.php/Tidy

* Which
  - http://cblfs.clfs.org/index.php/Which

------------------------------------------------------------------------------- 

If you want to convert the XML to TXT, install the above items, and then install
the following:

* lynx
  - http://cblfs.clfs.org/index.php/Lynx

------------------------------------------------------------------------------- 

If you want to convert the XML to PDF, install the items listed above (except
`lynx`) and then install the following:

* JDK
  - http://cblfs.clfs.org/index.php/JDK

* FOP and JAI
  - http://cblfs.clfs.org/index.php/FOP
